import '../../public/global.css'
import '../../public/theme/dark.css'
import sidebar from '../sidebar.json'
import brand from '../../brand'
import Sidebar from '../components/Sidebar'
import styled from 'styled-components'

const Container = styled('div')({
  maxWidth: 720,
  margin: '0 auto',
  padding: '0 1rem',
  boxSizing: 'border-box',
})

const App = ({
  Component,
  pageProps,
  ...etc
}) => (
  <div>
    <Sidebar
      brand={brand}
      data={sidebar}
    />
    <main>
      <Container>
        <Component
          {...pageProps}
        />
      </Container>
    </main>
  </div>
)

export default App
